net.sourceforge.pmd.renderers

## Class AbstractRendererTst

- java.lang.Object
- - net.sourceforge.pmd.testframework.RuleTst
  - - net.sourceforge.pmd.renderers.AbstractRendererTst

Direct Known Subclasses:
  CSVRendererTest, EmacsRendererTest, HTMLRendererTest, IDEAJRendererTest, PapariTextRendererTest, SummaryHTMLRendererTest, TextPadRendererTest, TextRendererTest, VBHTMLRendererTest, YAHTMLRendererTest

    public abstract class AbstractRendererTst
    extends RuleTst

### Field Summary

### Fields inherited from class net.sourceforge.pmd.testframework.RuleTst

`DEFAULT_LANGUAGE, DEFAULT_LANGUAGE_VERSION`

### Constructor Summary

Constructors
Constructor and Description
`AbstractRendererTst()`

### Method Summary

Methods
`abstract String` `getExpected()`
`abstract String` `getExpectedEmpty()`
`String` `getExpectedError(Report.ProcessingError error)`
`abstract String` `getExpectedMultiple()`
`abstract Renderer` `getRenderer()`
`void` `testError()`
`void` `testNullPassedIn()`
`void` `testRenderer()`
`void` `testRendererEmpty()`
`void` `testRendererMultiple()`

### Methods inherited from class net.sourceforge.pmd.testframework.RuleTst

`extractTestsFromXml, extractTestsFromXml, extractTestsFromXml, findRule, getCleanRuleName, runTest, runTestFromString, runTestFromString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractRendererTst

    public AbstractRendererTst()

### Method Detail

#### getRenderer

    public abstract Renderer getRenderer()

#### getExpected

    public abstract String getExpected()

#### getExpectedEmpty

    public abstract String getExpectedEmpty()

#### getExpectedMultiple

    public abstract String getExpectedMultiple()

#### getExpectedError

    public String getExpectedError(Report.ProcessingError error)

#### testNullPassedIn

    public void testNullPassedIn()
                          throws Throwable

Throws:
  `Throwable`

#### testRenderer

    public void testRenderer()
                      throws Throwable

Throws:
  `Throwable`

#### testRendererEmpty

    public void testRendererEmpty()
                           throws Throwable

Throws:
  `Throwable`

#### testRendererMultiple

    public void testRendererMultiple()
                              throws Throwable

Throws:
  `Throwable`

#### testError

    public void testError()
                   throws Throwable

Throws:
  `Throwable`